[Launch]
ProgramExecutable=Chrome-bin\neon.exe
CommandLineArguments='--user-data-dir="%PAL:DataDir%\User Data"	--extra-plugin-dir="%PAL:AppDir%\Chrome-bin\plugins" --extra-plugin-dir="%PAL:PortableAppsDir%\CommonFiles\Flash" --extra-plugin-dir="%PAL:PortableAppsDir%\CommonFiles\BrowserPlugins" --allow-outdated-plugins --always-authorize-plugins --enable-browser-plugin-for-all-view-types --no-default-browser-check --enable-download-resumption --enable-fast-unload --javascript-harmony --save-page-as-mhtml'

WaitForEXE1=wow_helper.exe

DirectoryMoveOK=yes

[Activate]
Registry=true
Java=find

[RegistryKeys]
Neon=HKCU\Software\Opera Software\Neon

-=HKCU\Software\Opera Software\Opera Neon

; ===MozillaPlugins
FlashPlayer=HKCU\SOFTWARE\MozillaPlugins\@adobe.com/FlashPlayer

; ===Flash Player/NPAPI
-=HKCU\SOFTWARE\Macromedia\FlashPlayer
-=HKCU\SOFTWARE\Macromedia\FlashPlayerPepper

[RegistryCleanupIfEmpty]
1=HKCU\Software\Opera Software
2=HKCU\SOFTWARE\MozillaPlugins
3=HKCU\SOFTWARE\Macromedia

[RegistryValueBackupDelete]
1=HKEY_CURRENT_USER\SOFTWARE\Opera Software\ATTEMPTS
2=HKEY_CURRENT_USER\SOFTWARE\Opera Software\LUT
3=HKEY_CURRENT_USER\SOFTWARE\Opera Software\UUID

[DirectoriesMove]
-=%LOCALAPPDATA%\Opera Software\Opera Neon\User Data\Crashpad

[DirectoriesCleanupIfEmpty]
1=%LOCALAPPDATA%\Opera Software\Opera Neon\User Data
2=%LOCALAPPDATA%\Opera Software\Opera Neon
3=%LOCALAPPDATA%\Opera Software

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\Neon.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\Neon.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\Neon.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\User Data\Default\Preferences
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\User Data\Default\Preferences
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite6]
Type=Replace
File=%PAL:DataDir%\User Data\Default\Preferences
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

;=== initial values
[FileWrite7]
Type=Replace
File=%PAL:DataDir%\User Data\Default\Preferences
Find=INITSAVEFILE
Replace=%PAL:DataDir:DoubleBackslash%\\Downloads
